Change WordPress user roles and capabilities Forums Bug Reports Catchable fatal error after update to 4.49

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #5228
    lmayer
    Participant

    Hello,

    after updating User Role Editor to Version 4.49, I get the following error message:

    Catchable fatal error: Argument l passed to URE_Content_View_Restrictions_Posts __ List:can_edit() must be an instance of WP_Post, instance of stdClass given, called in wp-content\plugins\user-role-editor-pro\pro\includes\classes\content-view-restrictions.php on line 664 and defined in wp-content\plugins\user-role­-editor-pro\pro\includes\classes\content-view-restrictions-posts-list.php on line 72.

    Can you please advise what to do?

    #5229
    Vladimir
    Keymaster

    Hi,

    I added a fix for the case when global $post variable contains stdClass instead of WP_Post for some reason.
    Can you please test the beta version 4.49.1.b1? It’s available after login from the “Downloads” page.

Viewing 2 posts - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.